#include <iostream>
#include <string>
#include <vector>
using namespace std;

int main()
{
    string s,t;
    cin>>s>>t;
    vector<int> vs(t.size());
    for(int i=0;i<t.size();i++)
    {
        vs[i]=0;
    }
    int j=0,q=0;
    int c=0;
    int mini=10000;
    while(q<s.size())
    {
        if(j<t.size())
        {
            if(s[q]==t[j])
            {
                vs[j]++;
                q++;
            }
            else
            {
                if(mini>vs[j])
                {
                    mini=vs[j];
                    c=j;
                }
                j++;
            }
        }
        else q++;
    }
    cout<<mini<<endl;
    if(j==t.size()-1 || j==t.size()-2)
    {
        j=0;
        for(int i=0;i<s.size();i++)
        {
            if(s[i]!=t[j])
            {
                cout<<s[i];
            }
            else
            {
                if(s[i]!=t[c])
                {
                    cout<<s[i];
                    j++;
                }
                else
                {
                    cout<<"*";
                }
            }
        }
    }
    else cout<<s;
    return 0;

}